package com.zt.plat.module.base.service.plandate;

import com.zt.plat.framework.common.pojo.PageResult;
import com.zt.plat.module.base.controller.admin.plandate.vo.PlanDateRespVO;
import com.zt.plat.module.base.controller.admin.plandate.vo.PlanOrderRspVO;
import com.zt.plat.module.base.controller.admin.plandate.vo.PlanOrderSaveReqVO;
import com.zt.plat.module.contractorder.api.dto.order.OrderAndPlanDataReqDTO;
import com.zt.plat.module.contractorder.api.dto.order.OrderDTO;

public interface PlanOrderService {

    PlanOrderRspVO bindOrder(PlanOrderSaveReqVO reqVO);

    void unbindOrder(String planId, String orderNumber);

    PageResult<OrderDTO>  getBoundOrder(String id);


    PageResult<OrderDTO> queryOrderAndPlanData(OrderAndPlanDataReqDTO reqVO);
}
